import { MagickImage } from './magick-image';
import { MagickReadSettings } from './settings/magick-read-settings';
export interface IMagickImageCollection extends Array<MagickImage> {
    dispose(): void;
    read(fileName: string, settings?: MagickReadSettings): void;
    read(array: Uint8Array, settings?: MagickReadSettings): void;
}
export declare class MagickImageCollection extends Array<MagickImage> implements IMagickImageCollection {
    private constructor();
    dispose(): void;
    read(fileName: string, settings?: MagickReadSettings): void;
    read(array: Uint8Array, settings?: MagickReadSettings): void;
    static create(): IMagickImageCollection;
    _use(func: (images: IMagickImageCollection) => Promise<void>): Promise<void>;
    private static createObject;
    private static createSettings;
    private addImages;
}
